Subject: Re: [RFC][PATCH] net: arinc429: Add ARINC-429 stack

From: Marek Vasut <[email-masked]>
Date: Wed, 4 Nov 2015 16:33:33 +0100

On Wednesday, November 04, 2015 at 04:19:45 PM, Aleksander Morgado wrote:
> On Wed, Nov 4, 2015 at 4:18 PM, Vostrikov Andrey
> 
> <[email-masked]> wrote:
> >>> > About the parity -- can we add some flag into the datagram to
> >>> > indicate we want hardware to calculate the parity for that
> >>> > particular datagram for us? And we'd also need to indicate what type
> >>> > of parity. I dunno if this is worth the hassle.
> >>> 
> >>> This  is HW configuration property, it does not belong to  datagram.
> >>> Also for TX channels,  parity could  be  two  kinds:  odd and even,
> >>> for RX it is only on/off.
> >> 
> >> There are datagrams which do contain parity and ones which do not
> >> contain it, correct ? Thus, it's a property of that particular
> >> datagram.
> 
> All ARINC words have bit #31 as parity bit; whether it's used or not
> depends on the setup as Andrey says below.

Can bit 31 be ever used for DATA instead of parity ? Or is this just me
not understanding the parlance of the specification, where "DATA" actually
means "DATA with parity" ?

Best regards,
Marek Vasut